=== debian/changelog ===
xpuzzles (8.8.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Solve /usr/games/play.sh file conflict (Closes: #1098419)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 05 Apr 2025 17:19:03 +0200

xpuzzles (8.8.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #865846
  * Maintain package in Debian Games team
    Closes: #1088259
  * New Homepage
  * Fix watch file
  * d/rules: Short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Keep same Priority also for xmpuzzles
  * Make sure all puzzles will be shipped
  * d/copyright:
     - DEP5
     - Exlcude vms+win32 files to simplify cleaning up
     - Exclude config.log + config.guess
  * Fix clean target
    Closes: #1047124
  * Do not ship Debian menu file any more since desktop files are provided
    Closes: #723891, #738072
  * Adapt upstream desktop files instead of creating new ones

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2025 21:14:55 +0100

xpuzzles (7.7.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999086).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 19:55:25 -0300
