=== debian/control ===
Source: xpuzzles
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper-compat (= 13), libxpm-dev, libxt-dev,
 libmotif-dev, libglu1-mesa-dev,  libaudiofile-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xpuzzles
Vcs-Git: https://salsa.debian.org/games-team/xpuzzles.git
Homepage: http://www.sillycycle.com/puzzles.html#X
Rules-Requires-Root: no

Package: xpuzzles
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xmpuzzles
Description: collection of puzzles for X (plain X version)
 The following puzzles are included:
 .
  - Rotational 3D Puzzles: xrubik, xpyraminx, xoct, xskewb, xdino, xmball
  - Sliding Block Puzzles: xcubes, xtriangles, xhexagons, xpanex
  - Combination: xbarrel, xmlink
 .
 This version was compiled without the Motif GUI widget library and thus
 shows limited user interface functionality. See xmpuzzles for the
 extended version.

Package: xmpuzzles
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xpuzzles
Description: collection of puzzles for X (Motif version)
 The following puzzles are included:
 .
  - Rotational 3D Puzzles: xmrubik, xmpyraminx, xmoct, xmskewb, xmdino, xmmball
  - Sliding Block Puzzles: xmcubes, xmtriangles, xmhexagons, xmpanex
  - Combination: xmbarrel, xmmlink
 .
 This is the Motif version which shows additional functionality.
 Motif is a GUI widget library for the X Window  system.
