=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

PROGRAMS = $(shell find . -maxdepth 1 -type d -name "[a-z]*" | grep -v debian | sed 's?^\./??' | sort)

CONFIGURE_FLAGS := --prefix=/usr --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man \
			--with-x --with-xpm --without-rplay --without-esound --without-nas

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -f xpuzzles.Makefile distclean
	find . -name config.status -delete
	find . -name config.log -delete
	find . -name "config*.guess" -delete
	find . -name "config.sub" -delete
	rm -f  */Makefile
	dh_auto_clean
	rm -rf debian/.debhelper \
	       debian/xpuzzles \
	       debian/xmpuzzles
	find . -name "*.o" -delete

override_dh_clean:
	for PROG in $(PROGRAMS) ; do \
		set -e ; \
		cd $$PROG ; \
		if [ -f configure.bak ] ; then mv configure.bak configure ;   fi ; \
		cd .. ; \
	done
	dh_clean

override_dh_auto_configure:
	echo "Do not run dh_auto_configure"

override_dh_auto_build:
	for PROG in $(PROGRAMS) ; do \
		set -e ; \
		cd $$PROG ; \
		# use up to date config.{sub,guess} from autotools-dev \
		ln -sf /usr/share/misc/config.sub . ; \
		ln -sf /usr/share/misc/config.guess . ; \
		cp -a configure configure.bak ; \
		CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --enable-def-play=/usr/libexec/xmpuzzles-play.sh --with-motif --enable-xm-prefix ; \
		$(MAKE) ; \
		echo "Installing xm versions" ; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/xmpuzzles xapploaddir=/etc/X11/app-defaults ; \
		cd .. ; \
	done
	$(MAKE) -f xpuzzles.Makefile distclean
	for PROG in $(PROGRAMS) ; do \
		set -e ; \
		cd $$PROG ; \
		CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --enable-def-play=/usr/libexec/xpuzzles-play.sh --without-motif ; \
		$(MAKE) ; \
		cd .. ; \
	done
	mv debian/xmpuzzles debian/xmpuzzles_save_install

override_dh_auto_install:
	mv debian/xmpuzzles_save_install debian/xmpuzzles
	for INFIX in '' m ; do \
		set -e ; \
		DOCDIR=$(CURDIR)/debian/x$${INFIX}puzzles/usr/share/doc/x$${INFIX}puzzles ; \
		PIXDIR=$(CURDIR)/debian/x$${INFIX}puzzles/usr/share/pixmaps ; \
		install -D -m 0644 xpuzzles.README $$DOCDIR/README ; \
		for PROG in $(PROGRAMS) ; do \
			if [ -e $$PROG/README ] ; then install -D -m 0644 $$PROG/README $$DOCDIR/x$$INFIX$$PROG.README ; fi ; \
		done ; \
		mkdir -p $(CURDIR)/debian/x$${INFIX}puzzles/usr/share/applications; \
	done

	for PROG in $(PROGRAMS) ; do \
		set -e; \
		cd $$PROG ; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/xpuzzles xapploaddir=/etc/X11/app-defaults ; \
		cd .. ; \
		echo 'usr/share/man/man6/x'$$PROG'.6.gz usr/share/man/man6/xm'$$PROG'.6.gz' >> debian/xmpuzzles.links ; \
	done

override_dh_install:
	dh_install
	sed -i 	-e 's#^Exec=#&/usr/games/#' \
		-e 's#=/usr/share/icons/hicolor/.*/apps/#=#' \
		debian/xpuzzles/usr/share/applications/*.desktop
	sed -i 	-e 's#^Exec=x#Exec=/usr/games/xm#' \
		-e 's#=/usr/share/icons/hicolor/.*/apps/#=#' \
		debian/xmpuzzles/usr/share/applications/*.desktop
	for i in debian/xmpuzzles/usr/share/applications/*.desktop ; do mv $$i debian/xmpuzzles/usr/share/applications/xm`basename $$i | sed 's/^x//'` ; done
	mkdir -p debian/xpuzzles/usr/libexec/
	mv -v debian/xpuzzles/usr/games/play.sh debian/xpuzzles/usr/libexec/xpuzzles-play.sh
	mkdir -p debian/xmpuzzles/usr/libexec/
	mv -v debian/xmpuzzles/usr/games/play.sh debian/xmpuzzles/usr/libexec/xmpuzzles-play.sh
