=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto" \
  http://www.sillycycle.com/puzzles.html .*/puzzles/xpuzzles-(\d[\d.]+)\.tar\.xz
