## xpuzzles 8.9.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1994 - 2024  David A. Bagley, bagleyd AT verizon.net
+# Copyright 1994 - 2025  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
@@ -33,8 +33,8 @@
 
 #STUFF=abacus dial threed
 STUFF=dial threed
-GL=rubik skewb dino bevel
-ROTATIONAL=${GL} pyraminx oct mball
+GL=rubik skewb dino bevel pyraminx oct mball
+ROTATIONAL=${GL}
 SLIDING=cubes triangles hexagons panex mlink barrel
 ALTRIS=tetris tertris hextris welltris
 
@@ -44,7 +44,7 @@
 XT=${ROTATIONAL} ${SLIDING}
 #XT=${ALTRIS}
 
-AUTOMAKE=/usr/share/automake-1.16
+AUTOMAKE=/usr/share/automake-1.17
 
 PRE=
 NAME=xt.
@@ -93,6 +93,54 @@
 		fi;\
 	done
 
+vmsmotif :
+	for i in ${PROGRAMS}; do\
+		if test -d ${PRE}$${i}${VER}/vms; then\
+			cp -p ${PRE}$${i}${VER}/vms/make.com ${PRE}$${i}${VER};\
+			cp -p ${PRE}$${i}${VER}/vms/descrip.mms ${PRE}$${i}${VER};\
+		fi;\
+	done
+
+vmsx :
+	for i in ${PROGRAMS}; do\
+		if test -d ${PRE}$${i}${VER}/vms; then\
+			sed -e "s/ defs==\\\"''defs',HAVE_MOTIF\\\"/! defs==\\\"''defs',HAVE_MOTIF\\\"/" ${PRE}$${i}${VER}/vms/make.com > ${PRE}$${i}${VER}/make.com;\
+			cp -p ${PRE}$${i}${VER}/vms/descrip.mms ${PRE}$${i}${VER};\
+		fi;\
+	done
+
+vmscheck :
+	for i in ${PROGRAMS}; do\
+		if test -d ${PRE}$${i}${VER}/vms; then\
+			diff -q ${PRE}$${i}${VER}/vms/make.com ${PRE}$${i}${VER} || true;\
+		fi;\
+	done
+
+vmsmake :
+	> make.com;\
+	> mms.com;\
+	for i in ${PROGRAMS}; do\
+		echo "\044 set default [.$${i}]" >> make.com;\
+		echo "\044 @make.com/output=make.lis" >> make.com;\
+		echo "\044 set default [-]" >> make.com;\
+		echo "\044 set default [.$${i}]" >> mms.com;\
+		echo "\044 mms/output=mms.lis" >> mms.com;\
+		echo "\044 set default [-]" >> mms.com;\
+	done
+
+vmszip :
+	rm -rf xt.zip;\
+	zip -r xt.zip make.com mms.com Makefile;\
+	for i in ${PROGRAMS}; do\
+		zip -r xt.zip ${PRE}$${i}${VER}/make.com;\
+		zip -r xt.zip ${PRE}$${i}${VER}/descrip.mms;\
+		cd ${PRE}$${i}${VER};\
+		make zip;\
+		cd ..;\
+		zip -r xt.zip `zipinfo -1 $$i.zip`;\
+		rm -rf $$i.zip;\
+	done
+
 automake :
 	for i in ${PROGRAMS}; do\
 		if test -d ${PRE}$${i}${VER}; then\
@@ -511,60 +559,3 @@
 	for i in ${PROGRAMS}; do\
 		if test -d ${PRE}$${i}${VER}; then\
 			cd ${PRE}$${i}${VER};\
-			make -f Makefile.in tar;\
-			cd ..;\
-		fi;\
-	done
-
-compress :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
-		for i in ${PROGRAMS}; do\
-			if test -d ${PRE}$${i}${VER}; then\
-				cd ${PRE}$${i}${VER};\
-				make -f Makefile.in $@;\
-				cd ..;\
-			fi;\
-		done;\
-	else echo "${UNIXDIR} not a directory";\
-	fi
-
-gzip :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
-		for i in ${PROGRAMS}; do\
-			if test -d ${PRE}$${i}${VER}; then\
-				cd ${PRE}$${i}${VER};\
-				make -f Makefile.in $@;\
-				cd ..;\
-				mv ${PRE}$${i}${VER}.tar.gz ${UNIXDIR};\
-			fi;\
-		done;\
-	else echo "${UNIXDIR} not a directory";\
-	fi
-
-bzip2 :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
-		for i in ${PROGRAMS}; do\
-			if test -d ${PRE}$${i}${VER}; then\
-				cd ${PRE}$${i}${VER};\
-				make -f Makefile.in $@;\
-				cd ..;\
-				mv ${PRE}$${i}${VER}.tar.bz2 ${UNIXDIR};\
-			fi;\
-		done;\
-	else echo "${UNIXDIR} not a directory";\
-	fi
-
-xz :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
