=== debian/changelog ===
xpuzzles (8.9.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.9.0+ds
  * Add debian/salsa-ci.yml
  * Rewrite d/rules in newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Remove d/copyright notice of removed file
  * Refresh patches

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --build/--host to configure. (Closes: #1126478)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Jan 2026 08:05:05 +0100
