=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: xpuzzles
 Section: games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper-compat (= 13), libxpm-dev, libxt-dev,
- libmotif-dev, libglu1-mesa-dev,  libaudiofile-dev
-Standards-Version: 4.7.0
+Uploaders:
+ Varun Hiremath <varun@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libaudiofile-dev,
+ libglu1-mesa-dev,
+ libmotif-dev,
+ libxpm-dev,
+ libxt-dev,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/games-team/xpuzzles
 Vcs-Git: https://salsa.debian.org/games-team/xpuzzles.git
 Homepage: http://www.sillycycle.com/puzzles.html#X
-Rules-Requires-Root: no
 
 Package: xpuzzles
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: xmpuzzles
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ xmpuzzles,
 Description: collection of puzzles for X (plain X version)
  The following puzzles are included:
  .
@@ -28,8 +35,11 @@
 
 Package: xmpuzzles
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: xpuzzles
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ xpuzzles,
 Description: collection of puzzles for X (Motif version)
  The following puzzles are included:
  .
