=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,16 @@
 
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/architecture.mk
+
 PROGRAMS = $(shell find . -maxdepth 1 -type d -name "[a-z]*" | grep -v debian | sed 's?^\./??' | sort)
 
 CONFIGURE_FLAGS := --prefix=/usr --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man \
 			--with-x --with-xpm --without-rplay --without-esound --without-nas
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CONFIGURE_FLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+endif
 
 %:
 	dh $@
@@ -81,8 +87,7 @@
 		echo 'usr/share/man/man6/x'$$PROG'.6.gz usr/share/man/man6/xm'$$PROG'.6.gz' >> debian/xmpuzzles.links ; \
 	done
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	sed -i 	-e 's#^Exec=#&/usr/games/#' \
 		-e 's#=/usr/share/icons/hicolor/.*/apps/#=#' \
 		debian/xpuzzles/usr/share/applications/*.desktop
