=== debian/watch ===
Version: 5

Source: http://www.sillycycle.com/puzzles.html
Matching-Pattern: .*/puzzles/xpuzzles-(\d[\d.]+)\.tar\.xz
Dversionmangle: auto
Repacksuffix: +ds
